import { Http } from '@angular/http';
import { Observable } from 'rxjs';
import { WebComponentMetadata } from '../webcmpmetadata/webcmpmetadata';
import { GSPMetadataService } from '@gsp-lcm/metadata-selector';
import { CacheService } from '@farris/ide-devkit/services';
export declare class WebCmpExternalService {
    private cache;
    private metadataService;
    private http;
    private url;
    private Server_IP;
    constructor(cache: CacheService, metadataService: GSPMetadataService, http: Http, url: string);
    saveTsCode(code: string, url: string): Promise<any>;
    getTsCode(url: string): Promise<any>;
    /**
     * 重新发布Web方法构件
     * @param tsUri ts文件的路径
     * @param sourceCode ts文件的源码
     */
    RepublishWebCmp(tsUri: string, sourceCode: string): void;
    private parseAndResaveMetadata(tsUri, file);
    /**
     * 根据元数据Uri获取Web方法构件实体
     * @param metadataUri web方法构件Uri
     */
    getWebCmpMetadata(metadataUri: string): Observable<WebComponentMetadata>;
    private getGuid();
    private s4();
}
