"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var webcmpinternalservice_1 = require("./shared/webcmpservice/webcmpinternalservice");
var webcmp_component_1 = require("./webcmpwithts/webcmp.component");
var npmwebcmp_component_1 = require("./webcmpwithnpm/npmwebcmp.component");
var event_model_1 = require("./shared/webcmpservice/event.model");
var WebCmpEntryComponent = (function () {
    function WebCmpEntryComponent(service) {
        this.service = service;
        this.cmpMetadataEmit = new core_1.EventEmitter();
    }
    WebCmpEntryComponent.prototype.save = function () {
        if (this.isCommon) {
            this.npmWebCmp.save();
        }
        else {
            this.tsWebCmp.save();
        }
    };
    WebCmpEntryComponent.prototype.metadataEmit = function (value) {
        this.cmpMetadataEmit.emit(value);
    };
    WebCmpEntryComponent.prototype.openTs = function () {
        var eventBody = new event_model_1.EventModel();
        eventBody.eventName = "openTs";
        eventBody.eventContent = this.metadataUri.replace(".webcmp", ".ts");
        this.service.eventbus.emit(eventBody);
    };
    WebCmpEntryComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'gsp-webcmp',
                    template: "<div id=\"main\" class=\"d-flex flex-column\" style=\" flex: 1 1 auto; display: flex; flex-direction: column;\"> <div class=\"border-bottom\" style=\"background: #f3f3f3;\"> <button kendoButton [look]=\"'bare'\" (click)=\"save()\"><span class=\"k-icon k-i-save\"></span>保存</button> <button *ngIf=\"!isCommon\" kendoButton [look]=\"'bare'\" (click)=\"openTs()\"><span class=\"k-icon k-i-track-changes\"></span>打开ts文件</button> </div> <webcmp-ts #tswebcmp *ngIf=\"!isCommon\" [metadataUri]=\"metadataUri\" (webcmpEmit)=\"metadataEmit($event)\" ></webcmp-ts> <webcmp-npm #npmwebcmp *ngIf=\"isCommon\" [metadataUri]=\"metadataUri\" (webcmpEmit)=\"metadataEmit($event)\"></webcmp-npm> </div>",
                    styles: [":host { display: flex; flex-direction: column; flex: 1; } #main .k-content { padding: 0 !important; display: flex; flex-direction: column; } "]
                },] },
    ];
    /** @nocollapse */
    WebCmpEntryComponent.ctorParameters = function () { return [
        { type: webcmpinternalservice_1.WebCmpInternalService, },
    ]; };
    WebCmpEntryComponent.propDecorators = {
        "isCommon": [{ type: core_1.Input },],
        "metadataUri": [{ type: core_1.Input },],
        "cmpMetadataEmit": [{ type: core_1.Output },],
        "tsWebCmp": [{ type: core_1.ViewChild, args: ['tswebcmp',] },],
        "npmWebCmp": [{ type: core_1.ViewChild, args: ['npmwebcmp',] },],
    };
    return WebCmpEntryComponent;
}());
exports.WebCmpEntryComponent = WebCmpEntryComponent;
//# sourceMappingURL=webcmpentry.component.js.map