import { SimpleChanges } from '@angular/core';
import { MetadataDto, GSPMetadataService } from '@gsp-lcm/metadata-selector';
import { CacheService } from '@farris/ide-devkit/services';
import { Http } from '@angular/http';
import { WebComponentMetadata, Operation, Parameter } from '../shared/webcmpmetadata/webcmpmetadata';
import { WebCmpExternalService } from '../shared/webcmpservice/webcmpexternalservice';
import { SelectAllCheckboxState } from '@progress/kendo-angular-grid';
import { DialogComponent } from '@farris/ui';
import { WebCmpInternalService } from '../shared/webcmpservice/webcmpinternalservice';
export declare class WebCmpWithNpmComponent {
    private metadataService;
    private webComponentService;
    private cache;
    private tsService;
    private http;
    constructor(metadataService: GSPMetadataService, webComponentService: WebCmpInternalService, cache: CacheService, tsService: WebCmpExternalService, http: Http);
    operationDialog: DialogComponent;
    newparamDialog: DialogComponent;
    editparamDialog: DialogComponent;
    newParam: Parameter;
    webComponentMetadata: WebComponentMetadata;
    sourceCode: string;
    newOperation: Operation;
    selectedOperations: Array<Operation>;
    selectedOperationIds: Array<string>;
    selectAllOpState: SelectAllCheckboxState;
    selectAllParamState: SelectAllCheckboxState;
    currentParam: Parameter;
    currentOperaion: Operation;
    selectedParamIds: Array<string>;
    selectedParams: Array<Parameter>;
    status: Array<string>;
    /**元数据抽象Dto */
    metadataDto: MetadataDto;
    host: string;
    private _metadataUri;
    metadataUri: string;
    metadataContent: any;
    private loadCmpMetadata(dto);
    isReturn(): "是" | "否";
    isReturnChanged(value: string): void;
    newParamIsReturn(): "是" | "否";
    newParamisReturnChanged(value: string): void;
    ParseNpm(): void;
    getCode(url: string): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * 初始化
     */
    init(): void;
    /**
     * 增加方法
     */
    addOperation(): void;
    /**
     * 删除操作
     */
    deleteOperation(): void;
    /**
     * 增加操作确定
     */
    operationDialogConfirm(): void;
    /**
     * 获取选中焦点的操作
     * @param param0
     */
    opCellClickHandler({dataItem}: {
        dataItem: any;
    }): void;
    /**
     * 增加参数
     */
    addParam(): void;
    /**
     * 新增参数确认
     */
    newparamDialogConfirm(): void;
    /**
     * 删除参数
     */
    deleteParam(): void;
    editParameter(param: Parameter): void;
    /**
     * 编辑参数确定
     */
    editparamDialogConfirm(): void;
    /**
     * 操作选中事件
     * @param e
     */
    onSelectedOpChange(e: any): void;
    /**
     * 操作全选事件
     * @param checkedState
     */
    onSelectAllOpChange(checkedState: SelectAllCheckboxState): void;
    /**
     * 参数选择事件
     * @param e 参数选中事件
     */
    onSelectedParamChange(e: any): void;
    /**
     * 参数全选中事件
     * @param checkedState
     */
    onSelectAllParamChange(checkedState: SelectAllCheckboxState): void;
    /**
     * 新增操作检查
     */
    newOperationValidatorCheck(operation: Operation, operationList: Array<Operation>): boolean;
    /**
     * 参数合法性校验
     * @param param
     * @param params
     */
    paramValidatorCheck(param: Parameter, params: Array<Parameter>): boolean;
    save(): void;
}
