"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var metadata_selector_1 = require("@gsp-lcm/metadata-selector");
var services_1 = require("@farris/ide-devkit/services");
var http_1 = require("@angular/http");
var util_1 = require("util");
var utils_1 = require("@progress/kendo-angular-grid/dist/es2015/utils");
var webcmpmetadata_1 = require("../shared/webcmpmetadata/webcmpmetadata");
var webcmpexternalservice_1 = require("../shared/webcmpservice/webcmpexternalservice");
var ui_1 = require("@farris/ui");
var webcmpinternalservice_1 = require("../shared/webcmpservice/webcmpinternalservice");
var WebCmpWithNpmComponent = (function () {
    function WebCmpWithNpmComponent(metadataService, webComponentService, cache, tsService, http) {
        this.metadataService = metadataService;
        this.webComponentService = webComponentService;
        this.cache = cache;
        this.tsService = tsService;
        this.http = http;
        this.newParam = new webcmpmetadata_1.Parameter();
        this.webComponentMetadata = new webcmpmetadata_1.WebComponentMetadata();
        this.newOperation = new webcmpmetadata_1.Operation();
        this.selectedOperations = new Array();
        this.selectedOperationIds = new Array();
        this.selectAllOpState = 'unchecked';
        this.selectAllParamState = 'unchecked';
        this.currentParam = new webcmpmetadata_1.Parameter();
        this.currentOperaion = new webcmpmetadata_1.Operation();
        this.selectedParamIds = new Array();
        this.selectedParams = new Array();
        this.status = ["是", "否"];
        this.host = '';
    }
    Object.defineProperty(WebCmpWithNpmComponent.prototype, "metadataUri", {
        set: function (metadataUri) {
            var _this = this;
            //;
            var fileName = metadataUri.substring(metadataUri.lastIndexOf('/') + 1);
            var filePath = metadataUri.substring(1, metadataUri.lastIndexOf('/'));
            this.metadataService.LoadMetadata(fileName, filePath).subscribe(function (value) {
                _this.metadataContent = value;
            });
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebCmpWithNpmComponent.prototype, "metadataContent", {
        set: function (metadataContent) {
            this.loadCmpMetadata(metadataContent);
        },
        enumerable: true,
        configurable: true
    });
    WebCmpWithNpmComponent.prototype.loadCmpMetadata = function (dto) {
        ;
        this.metadataDto = dto;
        this.webComponentMetadata = JSON.parse(dto.content);
        this.webComponentMetadata = JSON.parse(this.metadataDto.content);
        this.webComponentMetadata.Id = (this.webComponentMetadata.Id == null) ? dto.id : this.webComponentMetadata.Id;
        this.webComponentMetadata.Code = (util_1.isNullOrUndefined(this.webComponentMetadata.Code) || utils_1.isNullOrEmptyString(this.webComponentMetadata.Code)) ? dto.code : this.webComponentMetadata.Code;
    };
    WebCmpWithNpmComponent.prototype.isReturn = function () {
        return this.currentParam.IsRetVal ? (this.currentParam.IsRetVal ? "是" : "否") : "否";
    };
    WebCmpWithNpmComponent.prototype.isReturnChanged = function (value) {
        this.currentParam.IsRetVal = value == "是" ? true : false;
    };
    WebCmpWithNpmComponent.prototype.newParamIsReturn = function () {
        return this.newParam.IsRetVal ? (this.newParam.IsRetVal ? "是" : "否") : "否";
    };
    WebCmpWithNpmComponent.prototype.newParamisReturnChanged = function (value) {
        this.newParam.IsRetVal = value == "是" ? true : false;
    };
    WebCmpWithNpmComponent.prototype.ParseNpm = function () {
        alert("暂时不支持解析，请手动录入方法信息");
    };
    WebCmpWithNpmComponent.prototype.getCode = function (url) {
        var _this = this;
        this.tsService.getTsCode(url).then(function (response) {
            //;
            var resp = response;
            _this.sourceCode = resp._body;
        });
    };
    WebCmpWithNpmComponent.prototype.ngOnInit = function () {
        this.init();
    };
    WebCmpWithNpmComponent.prototype.ngOnChanges = function (changes) {
        this.init();
    };
    /**
     * 初始化
     */
    /**
       * 初始化
       */
    WebCmpWithNpmComponent.prototype.init = /**
       * 初始化
       */
    function () {
        var operations = this.webComponentMetadata.Operations;
        operations = operations == null ? new Array() : operations;
        if (this.currentOperaion == null || this.currentOperaion.Id == null) {
            this.currentOperaion = operations.length > 0 ? operations[0] : new webcmpmetadata_1.Operation();
        }
    };
    /**
     * 增加方法
     */
    /**
       * 增加方法
       */
    WebCmpWithNpmComponent.prototype.addOperation = /**
       * 增加方法
       */
    function () {
        this.newOperation = new webcmpmetadata_1.Operation();
        this.operationDialog.title = '新增方法';
        this.operationDialog.width = 400;
        this.operationDialog.resizable = false;
        this.operationDialog.showMaxButton = false;
        this.operationDialog.height = 250;
        this.operationDialog.show();
    };
    /**
     * 删除操作
     */
    /**
       * 删除操作
       */
    WebCmpWithNpmComponent.prototype.deleteOperation = /**
       * 删除操作
       */
    function () {
        var _this = this;
        if (this.selectedOperations.length <= 0) {
            alert('请选择需要删除的构件方法。');
            return;
        }
        this.selectedOperations.forEach(function (selection) {
            _this.webComponentService.deleteSpecifiedElement(_this.webComponentMetadata.Operations, selection);
        });
        if (this.webComponentMetadata.Operations.length > 0) {
            this.currentOperaion = this.webComponentMetadata.Operations[this.webComponentMetadata.Operations.length - 1];
        }
        else {
            this.currentOperaion = new webcmpmetadata_1.Operation();
        }
        this.selectedOperationIds = [];
        this.selectedParamIds = [];
    };
    /**
     * 增加操作确定
     */
    /**
       * 增加操作确定
       */
    WebCmpWithNpmComponent.prototype.operationDialogConfirm = /**
       * 增加操作确定
       */
    function () {
        var status = this.newOperationValidatorCheck(this.newOperation, this.webComponentMetadata.Operations);
        if (status) {
            return;
        }
        this.newOperation.Id = this.webComponentService.getGuid();
        this.newOperation.Parameters = new Array();
        this.webComponentMetadata.Operations = this.webComponentMetadata.Operations == null ? new Array() : this.webComponentMetadata.Operations;
        this.webComponentMetadata.Operations.push(this.newOperation);
        this.currentOperaion = this.newOperation;
        this.operationDialog.close();
    };
    /**
     * 获取选中焦点的操作
     * @param param0
     */
    /**
       * 获取选中焦点的操作
       * @param param0
       */
    WebCmpWithNpmComponent.prototype.opCellClickHandler = /**
       * 获取选中焦点的操作
       * @param param0
       */
    function (_a) {
        var dataItem = _a.dataItem;
        this.currentOperaion = dataItem;
        this.selectedParamIds = [];
        this.selectAllParamState = 'unchecked';
    };
    /**
     * 增加参数
     */
    /**
       * 增加参数
       */
    WebCmpWithNpmComponent.prototype.addParam = /**
       * 增加参数
       */
    function () {
        if (this.currentOperaion == null || this.currentOperaion.Id == null) {
            alert('请选择操作。');
            return;
        }
        this.newParam = new webcmpmetadata_1.Parameter();
        this.newParam.Id = this.webComponentService.getGuid();
        this.newParam.IsRetVal = false;
        this.newparamDialog.title = '新增参数';
        this.newparamDialog.width = 400;
        this.newparamDialog.resizable = false;
        this.newparamDialog.showMaxButton = false;
        this.newparamDialog.height = 250;
        this.newparamDialog.show();
    };
    /**
     * 新增参数确认
     */
    /**
       * 新增参数确认
       */
    WebCmpWithNpmComponent.prototype.newparamDialogConfirm = /**
       * 新增参数确认
       */
    function () {
        var status = this.paramValidatorCheck(this.newParam, this.currentOperaion.Parameters);
        if (status) {
            return;
        }
        this.currentOperaion.Parameters.push(this.newParam);
        this.newparamDialog.close();
    };
    /**
     * 删除参数
     */
    /**
       * 删除参数
       */
    WebCmpWithNpmComponent.prototype.deleteParam = /**
       * 删除参数
       */
    function () {
        var _this = this;
        if (this.selectedParams.length <= 0) {
            alert('请选择需要删除的构件参数。');
            return;
        }
        this.selectedParams.forEach(function (selection) {
            _this.webComponentService.deleteSpecifiedElement(_this.currentOperaion.Parameters, selection);
        });
        this.selectedParamIds = [];
    };
    WebCmpWithNpmComponent.prototype.editParameter = function (param) {
        this.currentParam = Object.assign({}, param);
        this.editparamDialog.title = '编辑参数';
        this.editparamDialog.width = 400;
        this.editparamDialog.resizable = false;
        this.editparamDialog.showMaxButton = false;
        this.editparamDialog.height = 250;
        this.editparamDialog.show();
    };
    /**
     * 编辑参数确定
     */
    /**
       * 编辑参数确定
       */
    WebCmpWithNpmComponent.prototype.editparamDialogConfirm = /**
       * 编辑参数确定
       */
    function () {
        if (this.paramValidatorCheck(this.currentParam, this.currentOperaion.Parameters)) {
            return;
        }
        this.webComponentService.replaceSpecifiedElementById(this.currentOperaion.Parameters, this.currentParam);
        this.editparamDialog.close();
    };
    /**
     * 操作选中事件
     * @param e
     */
    /**
       * 操作选中事件
       * @param e
       */
    WebCmpWithNpmComponent.prototype.onSelectedOpChange = /**
       * 操作选中事件
       * @param e
       */
    function (e) {
        var _this = this;
        //;
        this.selectedOperations = new Array();
        var len = this.selectedOperationIds.length;
        if (len > 0) {
            this.selectedOperationIds.forEach(function (id) {
                if (_this.webComponentMetadata.Operations && _this.webComponentMetadata.Operations.length > 0) {
                    var tempIndex = _this.webComponentMetadata.Operations.findIndex(function (value) { return value.Id == id; });
                    if (tempIndex != (-1)) {
                        _this.selectedOperations.push(_this.webComponentMetadata.Operations[tempIndex]);
                    }
                }
            });
        }
        if (len === 0) {
            this.selectAllOpState = 'unchecked';
        }
        else if (len > 0 && len < this.webComponentMetadata.Operations.length) {
            this.selectAllOpState = 'indeterminate';
        }
        else {
            this.selectAllOpState = 'checked';
        }
    };
    /**
     * 操作全选事件
     * @param checkedState
     */
    /**
       * 操作全选事件
       * @param checkedState
       */
    WebCmpWithNpmComponent.prototype.onSelectAllOpChange = /**
       * 操作全选事件
       * @param checkedState
       */
    function (checkedState) {
        if (checkedState === 'checked') {
            this.selectedOperationIds = this.webComponentMetadata.Operations.map(function (item) { return item.Id; });
            this.selectAllOpState = 'checked';
        }
        else {
            this.selectedOperationIds = [];
            this.selectAllOpState = 'unchecked';
        }
    };
    /**
     * 参数选择事件
     * @param e 参数选中事件
     */
    /**
       * 参数选择事件
       * @param e 参数选中事件
       */
    WebCmpWithNpmComponent.prototype.onSelectedParamChange = /**
       * 参数选择事件
       * @param e 参数选中事件
       */
    function (e) {
        var _this = this;
        //;
        this.selectedParams = new Array();
        var len = this.selectedParamIds.length;
        if (len > 0) {
            this.selectedParamIds.forEach(function (id) {
                if (_this.currentOperaion.Parameters && _this.currentOperaion.Parameters.length > 0) {
                    var tempIndex = _this.currentOperaion.Parameters.findIndex(function (value) { return value.Id == id; });
                    if (tempIndex != (-1)) {
                        _this.selectedParams.push(_this.currentOperaion.Parameters[tempIndex]);
                    }
                }
            });
        }
        if (len === 0) {
            this.selectAllParamState = 'unchecked';
        }
        else if (len > 0 && len < this.currentOperaion.Parameters.length) {
            this.selectAllParamState = 'indeterminate';
        }
        else {
            this.selectAllParamState = 'checked';
        }
    };
    /**
     * 参数全选中事件
     * @param checkedState
     */
    /**
       * 参数全选中事件
       * @param checkedState
       */
    WebCmpWithNpmComponent.prototype.onSelectAllParamChange = /**
       * 参数全选中事件
       * @param checkedState
       */
    function (checkedState) {
        if (checkedState === 'checked') {
            this.selectedParamIds = this.currentOperaion.Parameters.map(function (item) { return item.Id; });
            this.selectAllParamState = 'checked';
        }
        else {
            this.selectedParamIds = [];
            this.selectAllParamState = 'unchecked';
        }
    };
    /**
     * 新增操作检查
     */
    /**
       * 新增操作检查
       */
    WebCmpWithNpmComponent.prototype.newOperationValidatorCheck = /**
       * 新增操作检查
       */
    function (operation, operationList) {
        if (operation.Code == null || operation.Code == null) {
            alert('新增操作的编号为空。');
            return true;
        }
        if (operation.Name == null || operation.Name == null) {
            alert('新增操作的名称为空。');
            return true;
        }
        if (operationList && operationList.length > 0) {
            var index = operationList.findIndex(function (element) { return element.Code == operation.Code; });
            if (index != (-1)) {
                alert("\u64CD\u4F5C\u7F16\u53F7" + operation.Code + "\u5DF2\u5B58\u5728");
                return true;
            }
        }
        return false;
    };
    /**
     * 参数合法性校验
     * @param param
     * @param params
     */
    /**
       * 参数合法性校验
       * @param param
       * @param params
       */
    WebCmpWithNpmComponent.prototype.paramValidatorCheck = /**
       * 参数合法性校验
       * @param param
       * @param params
       */
    function (param, params) {
        if (param.Code == null || utils_1.isNullOrEmptyString(param.Code)) {
            alert('新增参数的编号为空。');
            return true;
        }
        if (param.Name == null || utils_1.isNullOrEmptyString(param.Name)) {
            alert('新增参数的名称为空。');
            return true;
        }
        if (params && params.length > 0) {
            var index = params.findIndex(function (element) { return element.Code == param.Code && element.Id != param.Id; });
            if (index != (-1)) {
                alert("\u53C2\u6570\u7F16\u53F7" + param.Code + "\u5DF2\u5B58\u5728");
                return true;
            }
        }
        return false;
    };
    WebCmpWithNpmComponent.prototype.save = function () {
        this.webComponentMetadata.IsCommon = true;
        var stringcontent = JSON.stringify(this.webComponentMetadata);
        this.metadataDto.code = this.webComponentMetadata.Code;
        this.metadataDto.content = stringcontent;
        var sessionId = this.cache.get('sessionId');
        this.metadataService.SaveMetadata(this.metadataDto, sessionId).subscribe(function (response) {
            if (response.status == 200) {
                alert("Web构件保存成功");
            }
            else {
                alert("Web构件保存失败");
            }
        });
    };
    WebCmpWithNpmComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'webcmp-npm',
                    template: "<div id=\"bemain\" class=\"d-flex flex-column\" style=\" flex: 1 1 auto; display: flex; flex-direction: column;\"> <div class=\"col-xs-12 col-sm-12\"> <div class=\"panel-heading\"> <h6 class=\"panel-title\" style=\"font-size: 0.9rem;\"> 基本信息 </h6> </div> <div class=\"card\" style=\"background-color: #f6f6f6;\"> <div class=\"card-block\"> <form class=\"k-form\" style=\"padding: 10px 6px 1px 1px;\"> <form class=\"k-form-inline\" style=\"padding: 2px;\"> <div class=\"k-form-field\"> <label style=\"width: 5%;min-width: 95px;\">ID</label> <input style=\"width: 30%;\" class=\"k-textbox\" readonly=\"readonly\" [(ngModel)]=\"webComponentMetadata.Id\" name=\"webComponentMetadataId\" /> <label style=\"width: 5%;min-width: 95px\">编号</label> <input style=\"width: 30%;\" class=\"k-textbox\"  [(ngModel)]=\"webComponentMetadata.Code\" name=\"webComponentMetadataCode\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 2px;\"> <div class=\"k-form-field\"> <label style=\"width: 5%;min-width: 95px;\">Npm包路径</label> <input style=\"width: 35%;\" class=\"k-textbox\" [(ngModel)]=\"webComponentMetadata.Source\" name=\"webCmpNpmPath\" /> <label style=\"width: 5%;min-width: 95px;\">类名</label> <input style=\"width: 35%;\" class=\"k-textbox\" [(ngModel)]=\"webComponentMetadata.ClassName\" name=\"webComponentMetadataClassName\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 2px;\"> <div class=\"k-form-field\"> <label style=\"width: 5%;min-width: 95px;\">描述</label> <input style=\"width: 70%;\" class=\"k-textbox\" [(ngModel)]=\"webComponentMetadata.Description\" name=\"webComponentMetadataDescription\" /> </div> </form> </form> </div> </div> </div> <div class=\"d-flex flex-column\" style=\"margin-top: 10px;flex:1 1 auto;\"> <div class=\"col-xs-12 col-sm-12 d-flex flex-column\" style=\"flex: 1 1 auto;margin-top: 4px;\"> <kendo-splitter class=\"d-flex \" style=\"flex: 1 1 auto;margin-top: 6px\" orientation=\"horizontal\"> <kendo-splitter-pane class=\"d-flex \" [collapsible]=\"true\" size=\"30%\" style=\"height: auto\"> <div class=\"col-xs-12 col-sm-12 d-flex flex-column\" style=\"margin-top: 10px; padding-right: 6px;padding-left: 6px;\"> <div class=\"panel-heading\"> <h6 class=\"panel-title\" style=\"font-size: 0.9rem;\"> 方法列表 </h6> </div> <div class=\"card\" class=\"d-flex\" style=\"flex:1 1 auto;\"> <div class=\"card-block d-flex\" style=\"flex:1 1 auto;\"> <kendo-grid class=\"d-flex\" style=\"flex:1 1 auto;min-height: 150px\" [data]=\"webComponentMetadata.Operations\" [selectable]=\"{enabled: true, checkboxOnly: false,mode:'multiple' }\" (cellClick)=\"opCellClickHandler($event)\" [kendoGridSelectBy]=\"'Id'\" (selectedKeysChange)=\"onSelectedOpChange($event)\" [selectedKeys]=\"selectedOperationIds\"> <ng-template kendoGridToolbarTemplate> <button kendoGridAddCommand (click)=\"ParseNpm()\"> <span class=\"k-icon k-i-launch\"></span>从Npm包解析</button> <button kendoGridAddCommand (click)=\"addOperation()\"> <span class=\"k-icon k-i-plus\"></span>新增</button> <button kendoGridAddCommand (click)=\"deleteOperation()\"> <span class=\"k-icon k-i-delete\"></span>删除</button> </ng-template> <kendo-grid-checkbox-column width=\"40\"> <ng-template kendoGridHeaderTemplate> <input class=\"k-checkbox\" id=\"selectAllCheckboxOpId\" kendoGridSelectAllCheckbox [state]=\"selectAllOpState\" (selectAllChange)=\"onSelectAllOpChange($event)\" /> <label class=\"k-checkbox-label\" for=\"selectAllCheckboxOpId\"></label> </ng-template> </kendo-grid-checkbox-column> <kendo-grid-column field=\"Code\" title=\"编号\"></kendo-grid-column> <kendo-grid-column field=\"Name\" title=\"名称\"></kendo-grid-column> </kendo-grid> </div> </div> </div> </kendo-splitter-pane> <kendo-splitter-pane class=\"d-flex\" style=\"height: auto\"> <div class=\"col-xs-12 col-sm-12 d-flex flex-column\" style=\"margin-top: 10px;padding-right: 6px;padding-left: 6px;flex: 1 1 auto;\"> <div class=\"panel-heading\"> <h6 class=\"panel-title\" style=\"font-size: 0.9rem;\"> 方法信息 </h6> </div> <div class=\"card\" style=\"min-height: 90px;background-color: #f6f6f6;\"> <div class=\"card-block\"> <form class=\"k-form\" style=\"padding: 10px 6px 6px 6px;\"> <form class=\"k-form-inline\" style=\"padding: 2px;height: 38px\"> <div class=\"k-form-field\"> <label style=\"width: 5%;min-width: 95px;\">编号</label> <input style=\"width: 45%;\" class=\"k-textbox\" readonly=\"readonly\" [ngModel]=\"currentOperaion.Code\" name=\"Code\" /> <label style=\"width: 5%;min-width: 95px;\">名称</label> <input style=\"width: 45%;\" class=\"k-textbox\" readonly=\"readonly\" [ngModel]=\"currentOperaion.Name\" name=\"Name\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 2px;height: 38px\"> <div class=\"k-form-field\"> <label style=\"width: 5%;min-width: 95px;\">描述</label> <input style=\"width: 95%;\" class=\"k-textbox\" [(ngModel)]=\"currentOperaion.Description\" name=\"operationDesc\" /> </div> </form> </form> </div> </div> <div class=\"panel-heading\" style=\"margin-top:10px\"> <h6 class=\"panel-title\" style=\"font-size: 0.9rem;\"> 参数列表 </h6> </div> <div class=\"card\" class=\"d-flex flex-column\" style=\"flex:1 1 auto;\"> <div class=\"card-block\" class=\"d-flex flex-column\" style=\"flex:1 1 auto;\"> <kendo-grid class=\"d-flex flex-column\" style=\"flex:1 1 auto;min-height: 120px\" [data]=\"currentOperaion.Parameters\" [selectable]=\"{enabled: true, checkboxOnly: false,mode:'multiple' }\" (cellClick)=\"cellClickHandler($event)\" [kendoGridSelectBy]=\"'Id'\" (selectedKeysChange)=\"onSelectedParamChange($event)\" [selectedKeys]=\"selectedParamIds\"> <ng-template kendoGridToolbarTemplate> <button kendoGridAddCommand (click)=\"addParam()\"> <span class=\"k-icon k-i-plus\"></span>新增参数</button> <button kendoGridAddCommand (click)=\"deleteParam()\"> <span class=\"k-icon k-i-delete\"></span>删除参数</button> </ng-template> <kendo-grid-checkbox-column width=\"40\"> <ng-template kendoGridHeaderTemplate> <input class=\"k-checkbox\" id=\"selectAllCheckboxParamId\" kendoGridSelectAllCheckbox [state]=\"selectAllParamState\" (selectAllChange)=\"onSelectAllParamChange($event)\" /> <label class=\"k-checkbox-label\" for=\"selectAllCheckboxParamId\"></label> </ng-template> </kendo-grid-checkbox-column> <kendo-grid-column field=\"Code\" title=\"编号\"></kendo-grid-column> <kendo-grid-column field=\"Name\" title=\"名称\"></kendo-grid-column> <kendo-grid-column field=\"ParameterType\" title=\"参数类型\"></kendo-grid-column> <kendo-grid-column field=\"IsRetVal\" title=\"是否返回值\"></kendo-grid-column> <kendo-grid-column field=\"Description\" title=\"描述\"></kendo-grid-column> <kendo-grid-column title=\"编辑\" width=\"120\"> <ng-template kendoGridCellTemplate let-dataItem> <button kendoGridEditCommand [primary]=\"true\" (click)=\"editParameter(dataItem)\">编辑</button> </ng-template> </kendo-grid-column> </kendo-grid> </div> </div> </div> </kendo-splitter-pane> </kendo-splitter> </div> </div> </div> <farris-dialog #operationDialog [buttons]=\"operationDialogBtn\"> <form class=\"k-form\" style=\"padding: 6px;\"> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">方法编号</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"newOperaionCode\" [(ngModel)]=\"newOperation.Code\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">方法名称</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"newOperaionName\" [(ngModel)]=\"newOperation.Name\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">方法描述</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"newOperaionDesc\" [(ngModel)]=\"newOperation.Description\" /> </div> </form> </form> <ng-template #operationDialogBtn> <button (click)=\"operationDialog.close()\">取消</button> <button (click)=\"operationDialogConfirm()\">确定</button> </ng-template> </farris-dialog> <farris-dialog #editparamDialog [buttons]=\"editparamDialogBtn\"> <form class=\"k-form\" style=\"padding: 6px;\"> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">参数编号</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"currentParamCode\" [(ngModel)]=\"currentParam.Code\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">参数名称</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"currentParamName\" [(ngModel)]=\"currentParam.Name\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">参数类型</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"currentParameterType\" [(ngModel)]=\"currentParam.ParameterType\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">是否返回值</span> <kendo-dropdownlist [data]=\"status\" style=\"width: 95%;\" [ngModel]=\"isReturn()\" (ngModelChange)=\"isReturnChanged($event) \" name=\"cmpmetadataCompensable\"> </kendo-dropdownlist> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">参数描述</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"currentParamDesc\" [(ngModel)]=\"currentParam.Description\" /> </div> </form> </form> <ng-template #editparamDialogBtn> <button (click)=\"editparamDialog.close()\">取消</button> <button (click)=\"editparamDialogConfirm()\">确定</button> </ng-template> </farris-dialog> <farris-dialog #newparamDialog [buttons]=\"newparamDialogBtn\"> <form class=\"k-form\" style=\"padding: 6px;\"> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">参数编号</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"newParamCode\" [(ngModel)]=\"newParam.Code\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">参数名称</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"newParamName\" [(ngModel)]=\"newParam.Name\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">参数类型</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"newParamType\" [(ngModel)]=\"newParam.ParameterType\" /> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">是否返回值</span> <kendo-dropdownlist [data]=\"status\" style=\"width: 95%;\" [ngModel]=\"newParamIsReturn()\" (ngModelChange)=\"newParamisReturnChanged($event) \" name=\"newParamIsRetVal\"> </kendo-dropdownlist> </div> </form> <form class=\"k-form-inline\" style=\"padding: 8px;\"> <div class=\"k-form-field\"> <span style=\"width: 5%;min-width: 70px;\">参数描述</span> <input type=\"text\" class=\"k-textbox\" style=\"width: 95%\" name=\"newParamDesc\" [(ngModel)]=\"newParam.Description\" /> </div> </form> </form> <ng-template #newparamDialogBtn> <button (click)=\"newparamDialog.close()\">取消</button> <button (click)=\"newparamDialogConfirm()\">确定</button> </ng-template> </farris-dialog>",
                    styles: [":host { display: flex; flex-direction: column; flex: 1; }"]
                },] },
    ];
    /** @nocollapse */
    WebCmpWithNpmComponent.ctorParameters = function () { return [
        { type: metadata_selector_1.GSPMetadataService, },
        { type: webcmpinternalservice_1.WebCmpInternalService, },
        { type: services_1.CacheService, },
        { type: webcmpexternalservice_1.WebCmpExternalService, },
        { type: http_1.Http, },
    ]; };
    WebCmpWithNpmComponent.propDecorators = {
        "operationDialog": [{ type: core_1.ViewChild, args: ['operationDialog',] },],
        "newparamDialog": [{ type: core_1.ViewChild, args: ['newparamDialog',] },],
        "editparamDialog": [{ type: core_1.ViewChild, args: ['editparamDialog',] },],
        "metadataUri": [{ type: core_1.Input },],
    };
    return WebCmpWithNpmComponent;
}());
exports.WebCmpWithNpmComponent = WebCmpWithNpmComponent;
//# sourceMappingURL=npmwebcmp.component.js.map