import { OnInit, EventEmitter } from '@angular/core';
import { MetadataDto, GSPMetadataService } from '@gsp-lcm/metadata-selector';
import { CacheService } from '@farris/ide-devkit/services';
import { Http } from '@angular/http';
import { WebComponentMetadata, Operation } from '../shared/webcmpmetadata/webcmpmetadata';
import { TsEditorComponent } from './webcmpsourcecode/tsEditor.component';
import { WebCmpExternalService } from '../shared/webcmpservice/webcmpexternalservice';
export declare class WebCmpWithTsComponent implements OnInit {
    private metadataService;
    private cache;
    private tsService;
    private http;
    webComponentMetadata: WebComponentMetadata;
    sourceCode: string;
    /**元数据抽象Dto */
    metadataDto: MetadataDto;
    host: string;
    private _metadataUri;
    metadataUri: string;
    webcmpEmit: EventEmitter<WebComponentMetadata>;
    tsEditor: TsEditorComponent;
    constructor(metadataService: GSPMetadataService, cache: CacheService, tsService: WebCmpExternalService, http: Http);
    metadataContent: any;
    ngOnInit(): void;
    private loadCmpMetadata(dto);
    getCode(url: string): void;
    operationEmitHandler(operations: Array<Operation>): void;
    classNameEmitHandler(calssName: string): void;
    tsCodeEmitHandler(code: string): void;
    save(): void;
    saveTs(): void;
}
