"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var metadata_selector_1 = require("@gsp-lcm/metadata-selector");
var services_1 = require("@farris/ide-devkit/services");
var http_1 = require("@angular/http");
var util_1 = require("util");
var utils_1 = require("@progress/kendo-angular-grid/dist/es2015/utils");
var webcmpmetadata_1 = require("../shared/webcmpmetadata/webcmpmetadata");
var tsEditor_component_1 = require("./webcmpsourcecode/tsEditor.component");
var webcmpexternalservice_1 = require("../shared/webcmpservice/webcmpexternalservice");
var WebCmpWithTsComponent = (function () {
    function WebCmpWithTsComponent(metadataService, cache, tsService, http) {
        this.metadataService = metadataService;
        this.cache = cache;
        this.tsService = tsService;
        this.http = http;
        this.host = '';
        this.webcmpEmit = new core_1.EventEmitter();
    }
    Object.defineProperty(WebCmpWithTsComponent.prototype, "metadataUri", {
        set: function (metadataUri) {
            var _this = this;
            //;
            var fileName = metadataUri.substring(metadataUri.lastIndexOf('/') + 1);
            var filePath = metadataUri.substring(1, metadataUri.lastIndexOf('/'));
            this.metadataService.LoadMetadata(fileName, filePath).subscribe(function (value) {
                _this.metadataContent = value;
            });
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebCmpWithTsComponent.prototype, "metadataContent", {
        set: function (metadataContent) {
            this.loadCmpMetadata(metadataContent);
        },
        enumerable: true,
        configurable: true
    });
    WebCmpWithTsComponent.prototype.ngOnInit = function () {
        //
        this.webComponentMetadata = new webcmpmetadata_1.WebComponentMetadata();
        this.webComponentMetadata.Operations = new Array();
    };
    WebCmpWithTsComponent.prototype.loadCmpMetadata = function (dto) {
        this.metadataDto = dto;
        this.webComponentMetadata = JSON.parse(dto.content);
        this.webComponentMetadata = JSON.parse(this.metadataDto.content);
        this.webComponentMetadata.Id = (this.webComponentMetadata.Id == null) ? dto.id : this.webComponentMetadata.Id;
        this.webComponentMetadata.Code = (util_1.isNullOrUndefined(this.webComponentMetadata.Code) || utils_1.isNullOrEmptyString(this.webComponentMetadata.Code)) ? dto.code : this.webComponentMetadata.Code;
    };
    WebCmpWithTsComponent.prototype.getCode = function (url) {
        var _this = this;
        this.tsService.getTsCode(url).then(function (response) {
            var resp = response;
            _this.sourceCode = resp._body;
            _this.tsEditor.code = _this.sourceCode;
        });
    };
    WebCmpWithTsComponent.prototype.operationEmitHandler = function (operations) {
        this.webComponentMetadata.Operations = operations;
    };
    WebCmpWithTsComponent.prototype.classNameEmitHandler = function (calssName) {
        this.webComponentMetadata.ClassName = calssName;
    };
    WebCmpWithTsComponent.prototype.tsCodeEmitHandler = function (code) {
        this.sourceCode = code;
    };
    WebCmpWithTsComponent.prototype.save = function () {
        this.webComponentMetadata.IsCommon = false;
        var path = this.metadataDto.relativePath + '/';
        var fileName = this.metadataDto.code + ".ts";
        var sourcePath = path + fileName;
        this.webComponentMetadata.Source = sourcePath.toString();
        var stringcontent = JSON.stringify(this.webComponentMetadata);
        this.metadataDto.code = this.webComponentMetadata.Code;
        this.metadataDto.content = stringcontent;
        var sessionId = this.cache.get('sessionId');
        this.metadataService.SaveMetadata(this.metadataDto, sessionId).subscribe(function (response) {
            if (response.status == 200) {
                alert("Web构件保存成功");
            }
            else {
                alert("Web构件保存失败");
            }
        });
    };
    WebCmpWithTsComponent.prototype.saveTs = function () {
        // let host = '';
        // let url: string = '/api/dev/main/v1.0/project/file/';
        // this.tsService.saveTsCode(this.tsEditor.code, host + url + path + "?name=" + fileName).then(
        //   response => {
        //     if (response.status == 200) {
        //       alert("Web构件保存成功");
        //       this.webcmpEmit.emit(JSON.parse(this.metadataDto.content));
        //     }
        //     else {
        //       alert("Web构件保存失败")
        //     }
        //   }
        // )
    };
    WebCmpWithTsComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'webcmp-ts',
                    template: "<div id=\"bemain\" class=\"d-flex flex-column\" style=\" flex: 1 1 auto; display: flex; flex-direction: column;\"> <!-- <kendo-tabstrip class=\"d-flex\" style=\"flex: 1;\" [keepTabContent]=\"true\"> --> <!-- <kendo-tabstrip-tab [selected]=\"true\" class=\"d-flex flex-column\" style=\"flex:1 1 auto;\" [title]=\"'构件定义'\"> --> <app-webcmpdefine class=\"d-flex flex-column\" style=\" flex: 1 1 auto; display: flex; \" [(webComponentMetadata)]=\"webComponentMetadata\"></app-webcmpdefine> <!-- </kendo-tabstrip-tab> --> <!-- <kendo-tabstrip-tab  [title]=\"'构件源码'\" class=\"d-flex flex-column\" style=\" flex: 1 1 auto; display: flex;\"><span class=\"k-icon k-i-launch\" style=\"margin-right: 2px\"></span> <ng-template kendoTabContent  class=\"d-flex flex-column\" style=\" flex: 1 1 auto; display: flex;\"> <ts-editor #tsEditor (operationEmit)=\"operationEmitHandler($event)\" (classNameEmit)=\"classNameEmitHandler($event)\" [code]=\"sourceCode\" (tsCodeEmit)=\"tsCodeEmitHandler($event)\" [metadataDto]=\"metadataDto\" class=\"d-flex flex-column\" style=\" flex: 1 1 auto; display: flex; \"></ts-editor> </ng-template> </kendo-tabstrip-tab> --> <!-- </kendo-tabstrip> --> </div>",
                    styles: [":host { display: flex; flex-direction: column; flex: 1; } #bemain .k-content { padding: 0 !important; display: flex; flex-direction: column; } .calc-rules.createNav { background: #e8edf2; height: 40px; } .calc-rules.createNav .stepTitle { padding: 0px 10px; color: #666666; line-height: 40px; cursor: pointer; font-size: 0.875rem; } .calc-rules.createNav .stepTitle.active { color: #FFFFFF; background-color: #0072c6 !important; } .calc-rules.createNav .stepTitle:not(:first-child).active { margin-left: -17px; padding-left: 25px; } .calc-rules.createNav .stepTitle.disable { color: #cdcdcf; } .calc-rules .triangle_border_right { width: 0; height: 0; border-width: 20px 0 20px 18px; border-style: solid; border-color: transparent transparent transparent #cccccc; position: relative; } .calc-rules .triangle_border_right span { display: block; width: 0; height: 0; border-width: 20px 0px 20px 18px; border-style: solid; border-color: transparent transparent transparent #e8edf2; position: absolute; top: -20px; left: -20px; } .calc-rules .triangle_border_right.active { width: 0; height: 0; border-width: 20px 0 20px 20px; border-color: transparent transparent transparent #e8edf2; } .calc-rules .triangle_border_right.active span { border-width: 20px 0 20px 20px; border-color: transparent transparent transparent #0072c6; } .api-flex { display: -webkit-box !important; display: -ms-flexbox !important; display: flex !important; }"]
                },] },
    ];
    /** @nocollapse */
    WebCmpWithTsComponent.ctorParameters = function () { return [
        { type: metadata_selector_1.GSPMetadataService, },
        { type: services_1.CacheService, },
        { type: webcmpexternalservice_1.WebCmpExternalService, },
        { type: http_1.Http, },
    ]; };
    WebCmpWithTsComponent.propDecorators = {
        "metadataUri": [{ type: core_1.Input },],
        "webcmpEmit": [{ type: core_1.Output },],
        "tsEditor": [{ type: core_1.ViewChild, args: ['tsEditor',] },],
    };
    return WebCmpWithTsComponent;
}());
exports.WebCmpWithTsComponent = WebCmpWithTsComponent;
//# sourceMappingURL=webcmp.component.js.map