import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { DialogComponent } from '@farris/ui';
import { SelectAllCheckboxState } from '@progress/kendo-angular-grid';
import { Operation, Parameter, WebComponentMetadata } from '../../shared/webcmpmetadata/webcmpmetadata';
import { WebCmpInternalService } from '../../shared/webcmpservice/webcmpinternalservice';
export declare class WebComponentDefine implements OnInit, OnChanges {
    private webComponentService;
    newOperation: Operation;
    selectedOperations: Array<Operation>;
    selectedOperationIds: Array<string>;
    selectAllOpState: SelectAllCheckboxState;
    selectAllParamState: SelectAllCheckboxState;
    currentParam: Parameter;
    currentOperaion: Operation;
    selectedParamIds: Array<string>;
    selectedParams: Array<Parameter>;
    newParam: Parameter;
    status: Array<string>;
    webComponentMetadata: WebComponentMetadata;
    operationDialog: DialogComponent;
    newparamDialog: DialogComponent;
    editparamDialog: DialogComponent;
    constructor(webComponentService: WebCmpInternalService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    isReturn(): "是" | "否";
    isReturnChanged(value: string): void;
    newParamIsReturn(): "是" | "否";
    newParamIsReturnChanged(value: string): void;
    /**
     * 初始化
     */
    init(): void;
    /**
     * 增加方法
     */
    addOperation(): void;
    /**
     * 删除操作
     */
    deleteOperation(): void;
    /**
     * 增加操作确定
     */
    operationDialogConfirm(): void;
    /**
     * 获取选中焦点的操作
     * @param param0
     */
    opCellClickHandler({dataItem}: {
        dataItem: any;
    }): void;
    /**
     * 增加参数
     */
    addParam(): void;
    /**
     * 新增参数确认
     */
    newparamDialogConfirm(): void;
    /**
     * 删除参数
     */
    deleteParam(): void;
    editParameter(param: Parameter): void;
    /**
     * 编辑参数确定
     */
    editparamDialogConfirm(): void;
    /**
     * 操作选中事件
     * @param e
     */
    onSelectedOpChange(e: any): void;
    /**
     * 操作全选事件
     * @param checkedState
     */
    onSelectAllOpChange(checkedState: SelectAllCheckboxState): void;
    /**
     * 参数选择事件
     * @param e 参数选中事件
     */
    onSelectedParamChange(e: any): void;
    /**
     * 参数全选中事件
     * @param checkedState
     */
    onSelectAllParamChange(checkedState: SelectAllCheckboxState): void;
    /**
     * 新增操作检查
     */
    newOperationValidatorCheck(operation: Operation, operationList: Array<Operation>): boolean;
    /**
     * 参数合法性校验
     * @param param
     * @param params
     */
    paramValidatorCheck(param: Parameter, params: Array<Parameter>): boolean;
}
