"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var http_1 = require("@angular/http");
var typescript_parser_1 = require("typescript-parser");
var metadata_selector_1 = require("@gsp-lcm/metadata-selector");
var webcmpmetadata_1 = require("../../shared/webcmpmetadata/webcmpmetadata");
var webcmpinternalservice_1 = require("../../shared/webcmpservice/webcmpinternalservice");
var TsEditorComponent = (function () {
    // editor: any;
    // toggleLanguage = true;
    function TsEditorComponent(http, webComponentService) {
        this.http = http;
        this.webComponentService = webComponentService;
        this.operations = new Array();
        this.operationEmit = new core_1.EventEmitter();
        this.tsCodeEmit = new core_1.EventEmitter();
        this.classNameEmit = new core_1.EventEmitter();
        this.host = '';
        this.url = '/api/dev/main/v1.0/project/file/';
        this.editorCode = '';
        this.showMultiple = true;
        this.options = {
            theme: 'vs-dark',
            language: 'typescript',
        };
    }
    TsEditorComponent.prototype.ngOnInit = function () {
        this.code = "asd";
        return;
    };
    TsEditorComponent.prototype.parseCode = function () {
        return __awaiter(this, void 0, void 0, function () {
            var _this = this;
            var parser;
            return __generator(this, function (_a) {
                parser = new typescript_parser_1.TypescriptParser();
                // either:
                // or a filepath
                //  const parsed = await parser.parseFile('/user/myfile.ts', 'workspace root');
                if (this.code) {
                    parser.parseSource(this.code).then(function (response) {
                        return _this.parseMethod(response, _this.operations);
                    });
                }
                return [2 /*return*/];
            });
        });
    };
    TsEditorComponent.prototype.parseMethod = function (file, operations) {
        if (file.declarations.length > 1) {
            alert("最多允许声明一个class，请检查代码");
            return;
        }
        var className = file.declarations[0].name;
        operations = new Array();
        for (var _i = 0, _a = file.declarations; _i < _a.length; _i++) {
            var c = _a[_i];
            for (var _b = 0, _c = c.methods; _b < _c.length; _b++) {
                var m = _c[_b];
                var method = new webcmpmetadata_1.Operation();
                method.Parameters = new Array();
                method.Id = this.webComponentService.getGuid();
                method.Name = m.name;
                method.Code = m.name;
                for (var _d = 0, _e = m.parameters; _d < _e.length; _d++) {
                    var p = _e[_d];
                    var param = new webcmpmetadata_1.Parameter();
                    param.Id = this.webComponentService.getGuid();
                    param.Name = p.name;
                    param.Code = p.name;
                    param.ParameterType = p.type ? p.type : "any";
                    param.IsRetVal = false;
                    method.Parameters.push(param);
                }
                if (m.type || m.type == undefined) {
                    var ret = new webcmpmetadata_1.Parameter();
                    ret.Id = this.webComponentService.getGuid();
                    ret.Name = "returnValue";
                    ret.Code = "returnValue";
                    ret.ParameterType = m.type ? m.type : "any";
                    ret.IsRetVal = true;
                    method.Parameters.push(ret);
                }
                operations.push(method);
            }
        }
        this.operationEmit.emit(operations);
        this.classNameEmit.emit(className);
        // this.tsCodeEmit.emit(this.code);
        alert('提取成功。');
    };
    TsEditorComponent.prototype.SaveCode = function () {
        // //;
        // var body = this.code;
        // this.http.post(this.host+this.url+this.path+"?name="+this.fileName, body).toPromise().then(response => {
        //   //
        // }
        // )
        this.tsCodeEmit.emit(this.code);
    };
    // Add Event Handler
    // Add Event Handler
    TsEditorComponent.prototype.onInitHandler = 
    // Add Event Handler
    function (event) {
        console.log(event);
    };
    TsEditorComponent.prototype.onChangeHandler = function (event) {
        console.log(event);
    };
    TsEditorComponent.prototype.onTouchedHandler = function (event) {
        console.log(event);
    };
    TsEditorComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-editor',
                    template: "<div id=\"bemain\" class=\"d-flex flex-column\" style=\" flex: 1 1 auto; display: flex; flex-direction: column;\"> <div class=\"border-bottom\" style=\"background: #f3f3f3;\"> <button kendoButton [look]=\"'bare'\" (click)=\"parseCode()\"> <span class=\"k-icon k-i-upload\"></span>提取定义</button> </div> <div class=\"col-xs-12 col-sm-12 \"> <div class=\"d-flex flex-column\" style=\" flex: 1 1 auto; display: flex; flex-direction: column;\"> <!-- <angular-monaco-editor class=\"customMonacoEditor\" [options]=\"options\" [(ngModel)]=\"editorCode\" (onInit)=\"onInitHandler($event)\"></angular-monaco-editor> --> <textarea style=\" height:1000px; width: 100%;\" kendoTextArea [(ngModel)]=\"code\"></textarea> </div> </div> </div>",
                    styles: [".editorPanel{ display: block; position: absolute; top: 0px; bottom: 0px; left: 0px; right: 0px; } .editorPanel .customMonacoEditor { /*set automaticLayout*/ height: calc(100vh - 0px); }"]
                },] },
    ];
    /** @nocollapse */
    TsEditorComponent.ctorParameters = function () { return [
        { type: http_1.Http, },
        { type: webcmpinternalservice_1.WebCmpInternalService, },
    ]; };
    TsEditorComponent.propDecorators = {
        "operationEmit": [{ type: core_1.Output },],
        "tsCodeEmit": [{ type: core_1.Output },],
        "classNameEmit": [{ type: core_1.Output },],
        "metadataDto": [{ type: core_1.Input },],
        "code": [{ type: core_1.Input },],
    };
    return TsEditorComponent;
}());
exports.TsEditorComponent = TsEditorComponent;
//# sourceMappingURL=tsEditor.component.js.map